from _typeshed import Incomplete
from enum import Enum

SERIAL_NUMBER: str
WHEN_SUCCESS: str
WHEN_FAIL: str
WHEN_START: str
E_ON_VIEWPORT_MINIMIZE: str
E_ON_VIEWPORT_UNMINIMIZE: str
STORE_SUBSCRIBE: str
MARKET_PRICE: str
LAST_REPLY: str
REPLY_RECORDS: str
ORDER_STATUS_CLOSED: str
ORDER_LAST_PRICE: str
ORDER_VOLUME_ORIGIN: str
ORDER_VOLUME_REMAIN: str
ORDER_VOLUME_CANCEL: str
ORDER_DEAL_PRICE: str
ORDER_VOLUME_DEAL: str
ORDER_REPLY_TYPE: str
ORDER_ON_PRICE: str
ORDER_SYSTEM_MESSAGE_LIST: str
ORDER_ENTRY_KIND: str
ORDER_EXIT_KIND: str
IN_FIRST_LEG_STATUS: str
OUT_ORDER_STATUS_CLOSED: str
PARENT_ORDER_STATUS_CLOSED: str
PARENT_ORDER_STATUS: str
IN_ORDER_STATUS: str
OUT_ORDER_STATUS: str
OUT_FIRST_LEG_STATUS: str
OUT_SECOND_LEG_STATUS: str
PREFIX_QUOTE_QUEUE: str
PREFIX_BEST5_QUEUE: str
PREFIX_KLINE_QUEUE: str
PREFIX_EVENT_QUEUE: str
PREFIX_REPLY_QUEUE: str
PREFIX_STRATEGY_REPLY_QUEUE: str
PROCESS_QUEUES: Incomplete
EMIT_QUEUE: str
THREAD_ZMQ_PREFIX: str
TIME_SCHEDULED: str
TIMESTAMP_SCHEDULED: str
HEARTBEAT: str
PING: str
PONG: str
FETCH_USERS: str
COMMAND: str
LOGGING: str
WINDOW_INFO: str
VIEWPORT_MANAGEMENT: str
VIEWPORT_ACTION: str
NEW_VIEWPORT: str
CLOSE_VIEWPORT: str
LOCK_OR_UNLOCK_ALL_VIEWPORT: str
NO_LONGER_LOCK_ALL_VIEWPORT: str
LOCK_ALL_VIEWPORT: str
UNLOCK_ALL_VIEWPORT: str
REQUEST_VIEWPORT_INFO: str
SEND_VIEWPORT_INFO: str
E_CURRENT_VIEWPORTS: str
E_REQUEST_VIEWPORT_INFO: str
E_UNLOCK_VIEWPORT: str
E_PROCESS_READY: str
E_LOCK_VIEWPORT: str
VIEWPORT_INFO: str
VIEWPORT_INFO_POS: str
VIEWPORT_INFO_SIZE: str
PROCESS_MANAGEMENT: str
PROCESS_ACTION: str
NEW_PROCESS: str
CLOSE_PROCESS: str
OPENED_PROCESSES: str
PID_ALL: str
EVENT: str
RUNNER_EMIT: str
RUNNER_LOGGING: str
API_QUEUE: str
EVENT_DATA: str
EVENT_TIME_PUBLISH: str
EVENT_CHECKED: str
QUEUE_ALL: str
QUOTE: str
BEST5: str
HISTORY_TICK: str
TICK: str
ORDER: str
BALANCE: str
KLINE: str
MARGIN_LIMIT: str
TICK_RULE: str
REPLY: str
STRATEGY_REPLY: str
MIT_REPLY: str
CB_REPLY: str
REPLY_TAGS: Incomplete
PROCESS_QUEUE_PREFIX_MAPS: Incomplete
KLINE_PERIOD: str
KLINE_PERIOD_UNKNOWN: int
KLINE_PERIOD_M1: int
KLINE_PERIOD_DAILY: int
KLINE_PERIOD_WEEKLY: int
KLINE_PERIOD_MONTHLY: int
KLINE_PERIOD_MAP_ZH: Incomplete
SK_KLINE_DATETIME: str
SK_KLINE_TIME: str
SK_KLINE_OPEN: str
SK_KLINE_HIGH: str
SK_KLINE_LOW: str
SK_KLINE_CLOSE: str
SK_KLINE_VOLUME: str
SK_KLINE_PERIOD: str
SK_KLINE_TIMESTAMP: str
MARKET: str
STOCK: str
ODD_LOTS: str
INTRADAY_ODD_LOT: str
FUTURE: str
MARKETS: Incomplete
MARKET_NAME_ZH: Incomplete
RECIPE: str
FUTURE_ORDER: str
FUTURE_BALANCE: str
MIT_ORDER: str
OCO_ORDER: str
CB_ORDER: str
FASTOCO_ORDER: str
MIT_BALANCE: str
OCO_BALANCE: str
ORDERS: str
ORDER_CLASS: str
ORDER_DICT: str
ORDER_BREAK_UNIT: str
ORDER_ACTION: str
ORDER_ACTION_SEND: str
ORDER_ACTION_BREAK_DOWN_SEND: str
ORDER_ACTION_CANCEL: str
ORDER_ACTION_CANCEL_ALL: str
ORDER_ACTION_CANCEL_MANY_BY_SEQ_NOS: str
ORDER_ACTION_CANCEL_BY_BUYSELL_AND_PRICE: str
ORDER_ACTION_CANCEL_BY_SEQ_NO: str
ORDER_ACTION_CANCEL_BY_STOCK_NO: str
ORDER_ACTION_CANCEL_BY_BOOK_NO: str
ORDER_ACTION_DECREASE_QTY: str
ORDER_ACTION_MODIFY_PRICE: str
ORDER_SEQ_NOS: str
ORDER_SEQ_NO: str
ORDER_BOOK_NO: str
ORDER_STOCK_NO: str
ORDER_QTY: str
ORDER_PRICE: str
ORDER_BUYSELL: str
ORDER_BUY: str
ORDER_SELL: str
ORDER_START_TIME: str
IS_PROXY_ORDER: str
ORDER_PROXY_INFO: str
POSITION: str
POSITION_ACTION: str
POSITION_ACTION_CANCEL_ALL_ORDERS: str
POSITION_ACTION_CLOSE_ALL_POSITIONS: str
POSITION_ACTION_CLOSE_POSITION_BY_SYMBOL: str
POSITION_ACTION_CLOSE_TODAY_POSITION_BY_SYMBOL: str
CLOSE_WHITELIST: str
SUBSCRIBE_MAP_ZH: Incomplete
RESERVED_VIEWPORTS: str
ID: str
PID: str
CHECK_PROCESS_ALIVE: str
CLIENT_ID: str
USER: str
RESERVED: str
PUBLISH: str
LOGIN: str
LOGIN_TYPE: str
SINGLE_LOGIN: str
MULTI_LOGIN: str
CONNECTION_NUM: str
LOGIN_ACTION: str
LOGOUT: str
SUBSCRIBE: str
UNSUBSCRIBE: str
REQUEST: str
READY: str
START: str
FAIL: str
SUCCESS: str

class Action:
    def __init__(self, doing: str, tag: str) -> None: ...
    @property
    def tag(self): ...

class ActionState:
    def __init__(self, doing: str, tag: str, flag: str = ...) -> None: ...
    def getState(self): ...
    def refresh(self) -> str: ...
    def tag(self): ...
    def event(self) -> str: ...
    def start(self) -> None: ...
    def fail(self) -> None: ...
    def success(self) -> None: ...
    @classmethod
    def joint(self, *args): ...

SUBSCRIBE_ACTION: str
SUBSCRIBE_TAG: str
SYMBOL_SUBSCRIBE: str
SUBSCRIBE_QUOTE: str
UNSUBSCRIBE_QUOTE: str
SUBSCRIBE_ORDER: str
UNSUBSCRIBE_ORDER: str
SUBSCRIBE_BALANCE: str
UNSUBSCRIBE_BALANCE: str
SUBSCRIBE_FUTURE_ORDER: str
UNSUBSCRIBE_FUTURE_ORDER: str
SUBSCRIBE_FUTURE_BALANCE: str
UNSUBSCRIBE_FUTURE_BALANCE: str
SUBSCRIBE_MIT_ORDER: str
UNSUBSCRIBE_MIT_ORDER: str
SUBSCRIBE_OCO_ORDER: str
UNSUBSCRIBE_OCO_ORDER: str
SUBSCRIBE_MIT_BALANCE: str
UNSUBSCRIBE_MIT_BALANCE: str
SUBSCRIBE_OCO_BALANCE: str
UNSUBSCRIBE_OCO_BALANCE: str
SUBSCRIBE_MARGIN_LIMIT: str
UNSUBSCRIBE_MARGIN_LIMIT: str
SUBSCRIBE_PNL_DETAILS: str
UNSUBSCRIBE_PNL_DETAILS: str
SUBSCRIBE_PNL_SUMMARY: str
UNSUBSCRIBE_PNL_SUMMARY: str
SUBSCRIBE_BEST5: str
UNSUBSCRIBE_BEST5: str
SUBSCRIBE_TICK: str
UNSUBSCRIBE_TICK: str
SUBSCRIBE_REPLY: str
UNSUBSCRIBE_REPLY: str
SUBSCRIBE_MIT_REPLY: str
UNSUBSCRIBE_MIT_REPLY: str
SUBSCRIBE_CB_REPLY: str
UNSUBSCRIBE_CB_REPLY: str
SUBSCRIBE_ALL_REPLY: str
UNSUBSCRIBE_ALL_REPLY: str
SUBSCRIBE_KLINE: str
UNSUBSCRIBE_KLINE: str
API_CALL: str
API_ACTION: str
API_ACTION_CALL: str
API_ORDER_CALL: str
API_POSITION_CALL: str
API_BATCH_CALL: str
API_BATCH_TASKS: str
API_CALLBACK_ID: str
API_CALLBACK_INFO: str
API_CALLBACK_INFO_ID: str
API_CALLBACK_FUNC: str
API_CALLBACK_DATA: str
API_FUNCTION: str
API_TOPIC: str
API_COUNT: str
API_ARGS: str
API_KWARGS: str
API_RETURNS: str
API_RETRY_COUNT: str
SUBSCRIBE_DATA: str
BEST5_PAGES: str
NEW_PAGE: str
REQUEST_CURRENT_SYMBOLS: str
REQUEST_ORDERS: str
REQUEST_BALANCE: str
REQUEST_MIT_ORDERS: str
REQUEST_MIT_BALANCE: str
REQUEST_OCO_ORDERS: str
REQUEST_OCO_BALANCE: str
REQUEST_KLINE: str
REQUEST_ACCOUNTS: str
REQUEST_MARGIN_LIMIT: str
REQUEST_TICK_RULE: str
CURRENT_SYMBOLS: str
CURRENT_SYMBOL_INFOS: str
CURRENT_QUOTES: str
SYMBOL_CODE: str
SYMBOL_TICK_RULE: str
SYMBOL_MARKET: str
SYMBOL_ALL: str
SYMBOL: str
SYMBOL_NAME: str
SYMBOL_TRADING_LIMIT: str
SYMBOL_QUOTE: str
SYMBOL_UP_LIMIT: str
SYMBOL_DOWN_LIMIT: str
SYMBOL_CATEGORY: str
PARENT: str
CHILD: str
RECV: str
SEND: str
MONITOR_RED: str
MONITOR_BLUE: str
MONITOR_GREEN: str
KLINE_MINUTE_NUM: str
KLINE_START: str
KLINE_END: str
KLINE_DATA: str
LOG_TYPE: str
LOG_MESSAGE: str
LOG_DEBUG: str
LOG_INFO: str
LOG_WARNING: str
LOG_ERROR: str
LOG_FATAL: str
LOG_TEXT_DEBUG: str
LOG_TEXT_INFO: str
LOG_TEXT_WARNING: str
LOG_TEXT_ERROR: str
LOG_TEXT_FATAL: str
LOG_TEXT_MAPS: Incomplete
LOG_LEVEL_MAPS: Incomplete
RESERVED_WINDOW_NUM: str
API_TYPE: str
API_DEFAULT: str
API_RELOGIN: str
API_PROXY: str
ACCOUNT: str
ACCOUNT_TYPE: str
PASSWORD: str
TAG_VIEWPORT: str
TASK_OEPN_MODULE: str
API_PATH_LOGS: Incomplete
WINDOW_ID: str
WINDOW_TITLE: str
WINDOW_TYPE: str
WINDOW_MODULE: str
WINDOW_ARGS: str
WINDOW_SETTING: str
WINDOW_WIDTH: str
WINDOW_HEIGHT: str
HIDE_FROM_TASK_BAR: str
MONITOR_ENABLED: str
MONITOR_COLOR: str
MASTER_WINDOW: int
CHILD_WINDOW: int
RESERVED_WINDOW: int
MONITOR_WINDOW: int
API_WINDOW: int
MASTER_CORES: Incomplete

class WindowType(Enum):
    BUY_ORDER = 2001
    SELL_ORDER = 2002

class mvType(Enum):
    PROCESS = 1
    VIEWPORT = 2
    MONITOR = 3
    @staticmethod
    def name(type): ...

class Translation(Enum):
    SUCCESS = '成功'
    FAIL = '失敗'
