from _typeshed import Incomplete
from datetime import datetime as datetime
from eskmo.base.mvtype import MARKET_PRICE as MARKET_PRICE
from eskmo.utils.logger import Logger as Logger

SK_IGNORE_ERRORS: str
SK_PAGE_QUOTE: int
SK_NO_ERROR: int
SK_ERROR_LOGIN_FIRST: int
SK_ERROR_INITIALIZE_FAIL: int
SK_ERROR_ACCOUNT_NOT_EXIST: int
SK_ERROR_ACCOUNT_MARKET_NOT_MATCH: int
SK_ERROR_PERIOD_OUT_OF_RANGE: int
SK_ERROR_FLAG_OUT_OF_RANGE: int
SK_ERROR_BUYSELL_OUT_OF_RANGE: int
SK_ERROR_ORDER_SERVER_INVALID: int
SK_ERROR_TRADE_TYPR_OUT_OF_RANGE: int
SK_ERROR_DAY_TRADE_OUT_OF_RANGE: int
SK_ERROR_ORDER_SIGN_INVALID: int
SK_ERROR_NEW_CLOSE_OUT_OF_RANGE: int
SK_ERROR_PRODUCT_INVALID: int
SK_ERROR_QTY_INVALID: int
SK_ERROR_DAYTRADE_DENIED: int
SK_ERROR_SPCIAL_TRADE_TYPE_INVALID: int
SK_ERROR_PRICE_INVALID: int
SK_ERROR_INDEX_OUT_OF_RANGE: int
SK_ERROR_QUERY_IN_PROCESSING: int
SK_ERROR_LOGIN_INVALID: int
SK_ERROR_REGISTER_CALLBACK: int
SK_ERROR_FUNCTION_PERMISSION_DENIED: int
SK_ERROR_MARKET_OUT_OF_RANGE: int
SK_ERROR_FOREIGNSTOCK_PRICE_OUT_OF_RANGE: int
SK_ERROR_FOREIGNSTOCK_UNDEFINE_COINTYPE: int
SK_ERROR_FOREIGNSTOCK_SAME_COINSTYPE: int
SK_ERROR_FOREIGNSTOCK_SALE_SHOULD_ORIGINAL_COIN: int
SK_ERROR_FOREIGNSTOCK_TRADE_UNIT_INVALID: int
SK_ERROR_FOREIGNSTOCK_STOCKNO_INVALID: int
SK_ERROR_FOREIGNSTOCK_ACCOUNTTYPE_INVALID: int
SK_ERROR_FOREIGNSTOCK_INITIALIZE_FAIL: int
SK_ERROR_TS_INITIALIZE_FAIL: int
SK_ERROR_OVERSEA_TRADE_PRODUCT_FAIL: int
SK_ERROR_OVERSEA_TRADE_DATA_NOT_COMPLETE: int
SK_ERROR_CERT_VERIFY_CN_INVALID: int
SK_ERROR_CERT_VERIFY_SERVER_REJECT: int
SK_ERROR_CERT_NOT_VERIFIED: int
SK_ERROR_OVERSEA_ACCOUNT_NOT_EXIST: int
SK_ERROR_ORDER_LOCK: int
SK_ERROR_SERVER_NOT_CONNECTED: int
SK_ERROR_OVERSEA_KLINE_DATA_TYPE_NOT_FOUND: int
SK_ERROR_STRIKEPRICE_INVALID: int
SK_ERROR_CALLPUT_INVALID: int
SK_ERROR_CERT_NOT_FOUND: int
SK_ERROR_RESERVED_OUT_OF_RANGE: int
SK_ERROR_SMART_TRADE_ORDER_SERVER_INVALID: int
SK_ERROR_CANCEL_ORDER_SMARTKEY_INVALID: int
SK_ERROR_OVERSEA_FUTURE_SPREAD_ORDER: int
SK_ERROR_MIT_ORDER_EXCLUDE_SPREAD_PRODUCT: int
SK_ERROR_SGX_API_ORDER_SEQNO_CONFILICT: int
SK_ERROR_OVERSEA_FUTURE_SPREAD_ORDER_NO_DAYTRADE: int
SK_ERROR_SGX_API_LOGON_FAIL: int
SK_ERROR_MIT_ORDER_MUST_GIVE_TRIGGER_PRICE: int
SK_ERROR_STRATEGY_ORDER_MUST_GIVE_DEAL_PRICE: int
SK_ERROR_WITHDRAW_WITHOUT_PASSWORD: int
SK_ERROR_WITHDRAWINOUT_TYPE_OUT_OF_RANGE: int
SK_ERROR_CURRENCY_OUT_OF_RANGE: int
SK_ERROR_AP_GW_SERVER_INVALID: int
SK_ERROR_STRATEGY_ORDER_BUYSELL_INVALID: int
SK_ERROR_STRATEGY_ORDER_SMARTKEY_TYPE_INVALID: int
SK_ERROR_STRATEGY_ORDER_MARKET_TYPE_INVALID: int
SK_ERROR_STRATEGY_ORDER_TRADE_TYPE_INVALID: int
SK_ERROR_CORRECT_PRICE_ONLY_LMT_RANGE: int
SK_ERROR_TF_OFFSET_COMMODITY_OUT_OF_RANGE: int
SK_ERROR_SPECIAL_TRADE_TYPE_OUT_OF_RANGE: int
SK_ERROR_SPECIAL_TRADE_TYPE_IS_MARKETPRICE_AND_ORDERPRICE_SHOULD_BE_ZERO: int
SK_ERROR_MARKET_TYPE_INVALID: int
SK_ERROR_SUB_CERT_DIDNOT_BELONG_TO_LOGINID_AP: int
SK_ERROR_CORRECT_PRICE_ONLY_LMT_RANGE_MIT: int
SK_ERROR_SGX_DMA_IS_NOT_ALLOW_CORRECTPRICE_BYBOOKNO: int
SK_ERROR_SGX_API_ORDER_SEQNO_ERROR: int
SK_ERROR_QUERY_AGREEMENT: int
SK_ERROR_ALL_AGREEMENT_SIGNED: int
SK_ERROR_PROFITLOSSGWQUERY_DATE_INVALID: int
SK_ERROR_PROFITLOSSGWQUERY_BOOKNO_IS_INVALID: int
SK_ERROR_PROFITLOSSGWQUERY_SEQNO_IS_INVALID: int
SK_ERROR_LOGIN_WITHOUT_PASSWORD: int
SK_ERROR_LOGIN_WITHOUT_LOGINID: int
SK_ERROR_LOGIN_WITHOUT_SETQUOTE: int
SK_ERROR_THERE_IS_NO_OVERSEA_FUTURE_ACCOUNT: int
SK_ERROR_MOVE_POINT_IS_INVALID: int
SK_ERROR_TRADE_KIND_IS_INVALID: int
SK_ERROR_PRICE_TYPE_IS_INVALID: int
SK_ERROR_STRATEGY_OUTORDER_PRICE_TYPE_INVALID: int
SK_ERROR_DATE_TYPE_IS_INVALID: int
SK_ERROR_STRATEGY_ORDER_PRIME_TYPE_INVALID: int
SK_ERROR_TRIGGER_PRICE_IS_EQUAL_TO_DEAL: int
SK_ERROR_SEQNO_IS_INVALID: int
SK_ERROR_BOOKNO_IS_INVALID: int
SK_ERROR_ORDER_TYPE_IS_INVALID: int
SK_ERROR_TRIGGER_DIRECTION_IS_INVALID: int
SK_ERROR_TRIGGER_BASE_IS_INVALID: int
SK_ERROR_QUOTE_CONNECT_FIRST: int
SK_ERROR_TRIGGER_METHOD_IS_INVALID: int
SK_ERROR_TELNET_LOGINSERVER_FAIL: int
SK_ERROR_TELNET_AGREEMENTSERVER_FAIL: int
SK_ERROR_LOGUPLOAD_FAIL: int
SK_ERROR_STRATEGYORDER_OUT_CONDICTION_INVALID: int
SK_ERROR_CANCEL_ORDER_FIELD_INVALID: int
SK_ERROR_ORDER_FIELD_INVALID: int
SK_ERROR_AP_APH_GENERATEKEY_INVALID_BEFORE_LOGIN: int
SK_ERROR_CANNOT_GET_DID_FROM_REGISTRY: int
SK_ERROR_PRODUCT_INVALID_IN_SGXTABLE: int
SK_ERROR_GET_TANDEMINFO_FAIL_SRVKLINE: int
SK_ERROR_LIMIT_NEAR_BY_YEARMONTH: int
SK_ERROR_TELNET_SERVER_FAIL: int
SK_ERROR_THERE_IS_NO_TOKEN: int
SK_ERROR_FOREIGNSTOCK_ORDERTYPE_INVALID: int
SK_ERROR_FOREIGNSTOCK_TRADETYPE_INVALID: int
SK_ERROR_QUERY_FORMAT_INVALID: int
SK_ERROR_TRIGGER_CONDITION_IS_INVALID: int
SK_WARNING_OF_COM_DATA_MISSING: int
SK_WARNING_TS_READY: int
SK_WARNING_LOGIN_ALREADY: int
SK_WARNING_LOGIN_SPECIAL_ALREADY: int
SK_WARNING_CERT_VERIFIED_ALREADY: int
SK_WARNING_ORDER_DID_NOT_LOCKED: int
SK_WARNING_OO_COM_QUOTEDATA_MISSING: int
SK_WARNING_OO_COM_ORDERDATA_MISSING: int
SK_WARNING_SIGN_TS_SMARTTRADE_RISK_NOITICE_FIRST: int
SK_WARNING_SIGN_TF_SMARTTRADE_RISK_NOITICE_FIRST: int
SK_WARNING_OSQUOTECENTER_IS_NOT_EXIST: int
SK_WARNING_INITIALIZE_OSQUOTECENTER_CONNECTION_FAIL: int
SK_WARNING_INITIALIZE_OSQUOTECENTER_OO_CONNECTION_FAIL: int
SK_WARNING_DOWNLOAD_OF_COM_DATA_IS_TIMEOUT: int
SK_WARNING_DOWNLOAD_OO_COM_DATA_IS_TIMEOUT: int
SK_WARNING_REGISTER_REPLYLIB_ONREPLYMESSAGE_FIRST: int
SK_WARNING_SIGN_STOCK_OR_FUTURE_API_AGREEMENT_FIRST: int
SK_WARNING_SIGN_FUTURE_API_AGREEMENT_FIRST: int
SK_WARNING_PRECHECK_RESULT_FAIL: int
SK_WARNING_PRECHECK_RESULT_EMPTY: int
SK_WARNING_MORDER_STOP_SERVICE: int
SK_WARNING_QUOTE_MUST_SKQUOTELIB_ENTERMONITORLONG_FIRST: int
SK_WARNING_QUOTE_MUST_SKQUOTELIB_ENTERMONITOR_FIRST: int
SK_WARNING_OSQUOTE_MUST_SKOSQUOTELIB_ENTERMONITORLONG_FIRST: int
SK_WARNING_OOQUOTE_MUST_SKOOQUOTELIB_ENTERMONITORLONG_FIRST: int
SK_WARNING_SHOULD_IGNORE_GENERATEKEYCERT_STEP: int
SK_WARNING_SHOULD_CHECK_NETWORK: int
SK_WARNING_SHOULD_FILLED_YEARMONTH_WHEN_NOT_NEAR_MONTH: int
SK_SUBJECT_CONNECTION_CONNECTED: int
SK_SUBJECT_CONNECTION_DISCONNECT: int
SK_SUBJECT_CONNECTION_STOCKS_READY: int
SK_SUBJECT_CONNECTION_CLEAR: int
SK_SUBJECT_CONNECTION_RECONNECT: int
SK_SUBJECT_QUOTE_PAGE_EXCEED: int
SK_SUBJECT_QUOTE_PAGE_INCORRECT: int
SK_SUBJECT_TICK_PAGE_EXCEED: int
SK_SUBJECT_TICK_PAGE_INCORRECT: int
SK_SUBJECT_TICK_STOCK_NOT_FOUND: int
SK_SUBJECT_BEST5_DATA_NOT_FOUND: int
SK_SUBJECT_QUOTEREQUEST_NOT_FOUND: int
SK_SUBJECT_SERVER_TIME_NOT_FOUND: int
SK_SUBJECT_ALL_MARKET_OK: int
SK_SUBJECT_MARKET_INFO_READY: int
SK_SUBJECT_CATALOG_LIST_READY: int
SK_SUBJECT_INITIALIZESTOCKS: int
SK_SUBJECT_MACD_DATA_NOT_FOUND: int
SK_SUBJECT_BOOLTUNEL_DATA_NOT_FOUND: int
SK_SUBJECT_CONNECTION_FAIL_WITHOUTNETWORK: int
SK_SUBJECT_CONNECTION_SOLCLIENTAPI_FAIL: int
SK_SUBJECT_STOCKNO_IS_INVALID: int
SK_SUBJECT_MARKET_NO_IS_OUT_OF_RANGE: int
SK_SUBJECT_CANT_ACCEPT_SPREAD_COMMODITY: int
SK_SUBJECT_CONNECTION_SGX_API_READY: int
SK_SUBJECT_TICK_LIMIT_EXCEED: int
SK_SUBJECT_QUOTE_LIMIT_EXCEED_IN_ONE_PAGE: int
SK_SUBJECT_QUOTE_STRING_EXIST_NULL: int
SK_SUBJECT_NO_QUOTE_SUBSCRIBE: int
SK_SUBJECT_NO_RELATED_MARKET_STOCKS: int
SK_SUBJECT_INITIALIZESTOCKS_FAIL: int
SK_SUBJECT_SOLACE_SESSION_EVENT_ERROR: int
SK_KLINE_DATA_TYPE_NOT_FOUND: int
SK_ERROR_LOGIN_WRONG_PASSWORD: int
SK_ERROR_LOGIN_WRONG_PASSWORD_OVER_LIMIT: int
SK_ERROR_LOGIN_WRONG_ID: int
SK_ERROR_CHANGE_PASSWORD_IN_FIRST_TIME: int
SK_FAIL: int
SK_CERT_ERROR: int
SK_ACCOUNT_LOCKED: int
SK_ERROR_LOGIN_NO_SERVER_LIST: int
SK_ERROR_LOGIN_NO_ACCONTS: int
SK_ERROR_LOGIN_NO_SPEC_AUTHORITY: int
SK_PROXY_SERVER_LOGIN_SUCCESS: int
SK_PROXY_SERVER_LOGIN_FAIL: int
SK_PROXY_SERVER_DISCONNECT: int
SK_PROXY_SERVER_SCHEDULE_DIALY_DISCONNECT: int
SK_PROXY_SERVER_SWITCH_MODE: int
SK_PROXY_SERVER_HANDLER_IS_EXIST: int
SK_PROXY_SERVER_LOGIN_SEND_DATA_SUCCESS: int
SK_PROXY_SERVER_CONNECT_SUCCESS: int
SK_PROXY_SERVER_CONNECT_FAIL: int
SK_PROXY_SERVER_DISCONNECT_FAIL: int
SK_PROXY_LOAD_PROXYLIB_FAIL: int
SK_PROXY_SERVER_CONNECT_FAIL_WITHOUT_HANDLER: int
SK_PROXY_INITIALIZE_FAIL: int
SK_PROXY_ERROR_THE_ID_IS_CONNECTED_ALREADY: int
SK_PROXY_ERROR_THE_ID_IS_DISCONNECTED_ALREADY: int
SK_PROXY_SEND_ORDER_FAIL: int
SK_ERROR_EXCHANGE_ID_IS_INVALID: int
SK_ERROR_QUERY_IS_OVER_TEN_TIMES: int
SK_CERT_ERROR_ZH: str
SK_ERRORS: dict[int, str]
SK_USER_CAUSED_LOGIN_FAILURES: list[int]
API_SKCOM: str

def isCertError(num): ...
def findSKErrorByNumber(num): ...

SK_AFTER_LOGIN_DISCONNECT_ERRORS: list[int]

def SKError(code): ...
def isSuccess(code): ...

SK_SUCCESS: str
SK_IF_SUCCESS: dict[int, str]
SK_SKIP_SUCCESS: str
SK_UNKNOWN_ERROR: str
SK_CONNECTION_ERROR: str
SK_CONNECTION_ONLINE: str
SK_PROXY_CONNECTION_ONLINE: str
SK_CONNECTION_OFFLINE: str
SK_SYMBOL_READY: str
SK_LOGIN_READY: str
SYMBOL_DICT_IS_READY: str
SKO_WAIT_FOR_ON_ACCOUNT: str
SK_REPLY_KEY_NO: str
SK_REPLY_MARKET: str
SK_REPLY_TYPE: str
SK_REPLY_STATUS: str
SK_REPLY_BROKER: str
SK_REPLY_CUST_NO: str
SK_REPLY_BUY_SELL: str
SK_REPLY_EXCHANGE_ID: str
SK_REPLY_SYMBOL_CODE: str
SK_REPLY_STRIKE_PRICE: str
SK_REPLY_ORDER_NO: str
SK_REPLY_PRICE: str
SK_REPLY_NUMERATOR: str
SK_REPLY_DENOMINATOR: str
SK_REPLY_PRICE_1: str
SK_REPLY_NUMERATOR_1: str
SK_REPLY_DENOMINATOR_1: str
SK_REPLY_PRICE_2: str
SK_REPLY_NUMERATOR_2: str
SK_REPLY_DENOMINATOR_2: str
SK_REPLY_VOLUME: str
SK_REPLY_BEFORE_QTY: str
SK_REPLY_AFTER_QTY: str
SK_REPLY_DATE: str
SK_REPLY_TIME: str
SK_REPLY_OK_SEQ: str
SK_REPLY_SUB_ID: str
SK_REPLY_SALE_NO: str
SK_REPLY_AGENT: str
SK_REPLY_TRADE_DATE: str
SK_REPLY_MSG_NO: str
SK_REPLY_PRE_ORDER: str
SK_REPLY_COMID_1: str
SK_REPLY_YEAR_MONTH_1: str
SK_REPLY_STRIKE_PRICE_1: str
SK_REPLY_COM_ID_2: str
SK_REPLY_YEAR_MONTH_2: str
SK_REPLY_STRIKE_PRICE_2: str
SK_REPLY_EXECUTION_NO: str
SK_REPLY_PRICE_SYMBOL: str
SK_REPLY_RESERVED: str
SK_REPLY_ORDER_EFFECTIVE: str
SK_REPLY_CALL_PUT: str
SK_REPLY_ORDER_SEQ: str
SK_REPLY_ERROR_MSG: str
SK_REPLY_CANCEL_ORDER_MARK_BY_EXCHANGE: str
SK_REPLY_EXCHANGE_TANDEMMSG: str
SK_REPLY_SEQ_NO: str
SK_REPLY_OFSTP_FLAG: str
SK_REPLY_MAPS: Incomplete
SK_REPLY_KEYS: Incomplete
SK_REPLY_TYPE_NEW: str
SK_REPLY_TYPE_CANCEL: str
SK_REPLY_TYPE_UPDATE_VOLUME: str
SK_REPLY_TYPE_UPDATE_PRICE: str
SK_REPLY_TYPE_DEAL: str
SK_REPLY_TYPE_UPDATE_BOTH: str
SK_REPLY_TYPE_DYNAMIC_REJECT: str
NEW_ORDER_ZH: str
CANCEL_ZH: str
UPDATE_VOLUME_ZH: str
UPDATE_PRICE_ZH: str
DEAL_ZH: str
UPDATE_BOTH_ZH: str
DYNAMIC_REJECT_ZH: str
SK_REPLY_TYPES: Incomplete
SK_REPLY_TYPES_FINISHED: Incomplete
SK_REPLY_STATUS_FAIL: str
SK_REPLY_STATUS_TIMEOUT: str
SK_REPLY_STATUS_SUCCESS: str
SUCCESS_ZH: str
FAIL_ZH: str
TIMEOUT_ZH: str
SK_REPLUY_STATUSES: Incomplete
SK_REPLY_STOCK_BUYSELL_TYPE_NONE: str
SK_REPLY_STOCK_BUYSELL_TYPE_BUY: str
SK_REPLY_STOCK_BUYSELL_TYPE_SELL: str
SK_REPLY_STOCK_BUYSELL_TRADE_STOCK: str
SK_REPLY_STOCK_BUYSELL_TRADE_MARGIN_BORKER: str
SK_REPLY_STOCK_BUYSELL_TRADE_SHORT_MARGIN_BORKER: str
SK_REPLY_STOCK_BUYSELL_TRADE_MARGIN: str
SK_REPLY_STOCK_BUYSELL_TRADE_SHORT_MARGIN: str
SK_REPLY_STOCK_BUYSELL_TRADE_NAKED_SHORT: str
SK_REPLY_STOCK_BUYSELL_TRADE_ODD_LOT: str
SK_REPLY_STOCK_BUYSELL_TRADE_IPO: str
SK_REPLY_STOCK_BUYSELL_TRADE_STOCK_ZH: str
SK_REPLY_STOCK_BUYSELL_TRADE_MARGIN_BORKER_ZH: str
SK_REPLY_STOCK_BUYSELL_TRADE_SHORT_MARGIN_BORKER_ZH: str
SK_REPLY_STOCK_BUYSELL_TRADE_MARGIN_ZH: str
SK_REPLY_STOCK_BUYSELL_TRADE_SHORT_MARGIN_ZH: str
SK_REPLY_STOCK_BUYSELL_TRADE_NAKED_SHORT_ZH: str
SK_REPLY_STOCK_BUYSELL_TRADE_ODD_LOT_ZH: str
SK_REPLY_STOCK_BUYSELL_TRADE_IPO_ZH: str
SK_REPLY_STOCK_BUYSELL_ORDER_TYPE_IOC: str
SK_REPLY_STOCK_BUYSELL_ORDER_TYPE_ROD: str
SK_REPLY_STOCK_BUYSELL_ORDER_TYPE_FOK: str
SK_REPLY_STOCK_BUYSELL_PRICE_TYPE_MARKET: str
SK_REPLY_STOCK_BUYSELL_PRICE_TYPE_LIMIT: str
SK_REPLY_STOCK_BUYSELL_DIGITS_TYPE: int
SK_REPLY_STOCK_BUYSELL_TYPES: Incomplete
NONE_ZH: str
BUY_ZH: str
SELL_ZH: str
SK_REPLY_STOCK_BUYSELL_TYPES_ZH: Incomplete

def isReplyBuy(typestr): ...
def isReplySell(typestr): ...

SK_REPLY_STOCK_BUYSELL_TRADE_TYPES_ZH: Incomplete
SKO_ORDER_TYPE_ROD_TEXT: str
SKO_ORDER_TYPE_IOC_TEXT: str
SKO_ORDER_TYPE_FOK_TEXT: str
SK_REPLY_STOCK_BUYSELL_ORDER_TYPES_ZH: Incomplete
SK_REPLY_STOCK_BUYSELL_PRICE_TYPES_ZH: Incomplete
SK_REPLY_STOCK_BUYSELL_DIGITS_TRADE: int
SK_REPLY_STOCK_BUYSELL_TRADE_TYPES: Incomplete
SK_REPLY_STOCK_BUYSELL_DIGITS_ORDER: int
SK_REPLY_STOCK_BUYSELL_ORDER_TYPES: Incomplete
SK_REPLY_STOCK_BUYSELL_DIGITS_PRICE: int
SK_REPLY_STOCK_BUYSELL_PRICE_TYPES: Incomplete
SK_REPLY_STOCK_BUYSELL_DIGITS: Incomplete
SK_REPLY_BUYSELL_REMAP_REPLY_TYPE: str
SK_REPLY_BUYSELL_REMAP_STATUS = SK_REPLY_STATUS
SK_REPLY_BUYSELL_REMAP_BUY_OR_SELL: str
SK_REPLY_BUYSELL_REMAP_TRADE_TYPE: str
SK_REPLY_BUYSELL_REMAP_ORDER_TYPE: str
SK_REPLY_BUYSELL_REMAP_LIMIT_OR_MARKET: str
SK_REPLY_BUYSELL_MAPS: Incomplete
SK_REPLY_BUYSELL_REMAP_FUTURE_NEW_CLOSE_TYPE: str
SK_REPLY_FUTURE_NEW_CLOSE_TYPE_DAY_TRADE: str
SK_REPLY_FUTURE_NEW_CLOSE_TYPE_NEW: str
SK_REPLY_FUTURE_NEW_CLOSE_TYPE_CLOSE: str
SK_REPLY_FUTURE_NEW_CLOSE_TYPE_OFFSET_PROXY: str
SK_REPLY_FUTURE_NEW_CLOSE_TYPE_NONE: str
SK_REPLY_FUTURE_NEW_CLOSE_TYPE_DAY_TRADE_ZH: str
SK_REPLY_FUTURE_NEW_CLOSE_TYPE_NEW_ZH: str
SK_REPLY_FUTURE_NEW_CLOSE_TYPE_CLOSE_ZH: str
SK_REPLY_FUTURE_NEW_CLOSE_TYPE_OFFSET_PROXY_ZH: str
SK_REPLY_FUTURE_NEW_CLOSE_TYPE_NONE_ZH: str
SK_REPLY_FUTURE_NEW_CLOSE_TYPES_ZH: Incomplete
SK_REPLY_BUYSELL_REMAP_FUTURE_LIMIT_TYPE: str
SK_REPLY_FUTURE_LIMIT_TYPE_MARKET: str
SK_REPLY_FUTURE_LIMIT_TYPE_LIMIT: str
SK_REPLY_FUTURE_LIMIT_TYPE_RANGE_MARKET: str
SK_REPLY_FUTURE_LIMIT_TYPE_SL_LIMIT: str
SK_REPLY_FUTURE_LIMIT_TYPE_MARKET_CLOSE: str
SK_REPLY_FUTURE_LIMIT_TYPE_MARKET_ZH: str
SK_REPLY_FUTURE_LIMIT_TYPE_LIMIT_ZH: str
SK_REPLY_FUTURE_LIMIT_TYPE_RANGE_MARKET_ZH: str
SK_REPLY_FUTURE_LIMIT_TYPE_SL_LIMIT_ZH: str
SK_REPLY_FUTURE_LIMIT_TYPE_MARKET_CLOSE_ZH: str
SK_REPLY_FUTURE_LIMIT_TYPES_ZH: Incomplete
SK_FUTURE_REPLY_BUYSELL_MAPS: Incomplete
ACCOUNTS: str
SKO_MARKET: str
SKO_SUBSIDIARY: str
SKO_SUBSIDIARY_CODE: str
SKO_ACCOUNT: str
SKO_LOGIN_ID: str
SKO_NAME: str
SKO_SECURITY_ACCOUNT: str
LIST_SKO_ACCOUNT: Incomplete
SKO_LOGIN_TYPE: str
SKO_LOGIN_TYPE_NAMES: Incomplete
SKO_LOGIN_NORMAL: int
SKO_LOGIN_VIP: int
SKO_SPEEDY_TYPE: str
SKO_SPEEDY_TYPE_NAMES: Incomplete
SKO_SPEEDY_DISABLED: int
SKO_SPEEDY_ENABLED: int
SKC_VERSION_AND_BIT: str
SKO_COIN_TYPE: str
SKO_COIN_TYPE_NAMES: Incomplete
SKO_COIN_ALL: int
SKO_COIN_TWD: int
SKO_COIN_RMB: int
SKO_STOCK_ALL: str
SKO_PNL_FORMAT: str
SKO_PNL_FORMAT_QUERY: str
SKO_PNL_FORMAT_SUMMARY: int
SKO_PNL_FORMAT_DETAILED: int
SKO_PNL_FORMAT_TOTAL_INVESTMENT: int
SKO_PNL_FORMAT_SUMMARY_BY_STOCK_NO: int
SKO_PNL: str
SKO_PNL_TYPE: str
SKO_PNL_UNREALIZED: int
SKO_PNL_REALIZED: int
SKO_PNL_DAY_TRADE: int
SKO_PNL_TYPES: Incomplete
SKO_FUNC_SUMMARY: int
SKO_FUNC_DETAILS: int
SKO_FUNC_TOTAL_INVESTMENT: int
SKO_FUNC_SUMMARY_BY_STOCK_NO: int
SKO_DAY_TRADE_FUNC_SUMMARY: int
SKO_DAY_TRADE_FUNC_DETAILS: int
SKO_TRADE_TYPE: str
SKO_TRADE_STOCK: int
SKO_TRADE_MARGIN_BORKER: int
SKO_TRADE_SHORT_MARGIN_BORKER: int
SKO_TRADE_MARGIN: int
SKO_TRADE_SHORT_MARGIN: int
SKO_TRADE_SLB: int
SKO_TEADE_NAKED_SHORT: int
SKO_PNL_QUERY_ACCOUNT: str
SKO_PNL_QUERY_TYPE: str
SKO_PNL_QUERY_RETURN_FORMAT: str
SKO_PNL_QUERY_STOCK_NO: str
SKO_PNL_QUERY_TRADE_TYPE: str
SKO_PNL_QUERY_START_DATE: str
SKO_PNL_QUERY_END_DATE: str
SKO_PNL_QUERY_BOOK_NO: str
SKO_PNL_QUERY_SEQ_NO: str

def createPnLQueryDict(type): ...

SKO_AVG_COST_BROKER_ID: str
SKO_AVG_COST_ACCOUNT: str
SKO_AVG_COST_FUNC: str
SKO_AVG_COST_STOCK_NO: str
SKO_CB_ORDER_PRICE_COND: str
SKO_CB_ORDER_PRICE_COND_ROD: int
SKO_CB_ORDER_PRICE_COND_IOC: int
SKO_CB_ORDER_PRICE_COND_FOK: int
SKO_CB_BUY_SELL: str
SKO_CB_BUY_SELL_BUY: int
SKO_CB_BUY_SELL_SELL: int
SKO_CB_ORDER_PRICE: str
SKO_CB_YES_NO: Incomplete
SKO_CB_TRUE_FALSE: Incomplete
SKO_CB_TAG_CLOSE: str
SKO_CB_TAG_BID1: str
SKO_CB_TAG_ASK1: str
SKO_CB_TAG_UP_DOWN_PCT: str
SKO_CB_TAG_SUM_QTY: str
SKO_CB_TAG_PRE_QTY: str
SKO_CB_TAG_TICK: str
SKO_CB_TAG_SET: Incomplete
SKO_CB_INNER_ORDER_IS_MIT: str
SKO_CB_MIT_TRIGGER_PRICE: str
SKO_CB_MIT_DIR: str
SKO_CB_TP_FLAG: str
SKO_CB_TP_DIR: str
SKO_CB_TP_ORDER_PRICE: str
SKO_CB_SL_FLAG: str
SKO_CB_SL_ORDER_PRICE: str
SKO_CB_SL_DIR: str
SKO_CB_TICK_FLAG: str
SKO_CB_TICK_DIR: str
SKO_CB_TICK_DIR_NONE: int
SKO_CB_TICK_DIR_GTE: int
SKO_CB_TICK_DIR_LTE: int
SKO_CB_TICK: str
SKO_CB_UP_DOWN_FLAG: str
SKO_CB_UP_DOWN_DIR: str
SKO_CB_SL_PERCENT: str
SKO_CB_PRE_QTY_FLAG: str
SKO_CB_PRE_QTY_DIR: str
SKO_CB_PRE_QTY: str
SKO_CB_SUM_QTY_FLAG: str
SKO_CB_SUM_QTY_DIR: str
SKO_CB_SUM_QTY: str
SKO_CB_CLEAR_ALL_FLAG: str
SKO_CB_CLEAR_CANCEL_TIME: str
SKO_CB_FINAL_CLEAR_FLAG: str
SKO_CB_FINAL_CLEAR_FLAG_OR: int
SKO_CB_FINAL_CLEAR_FLAG_AND: int
SKO_FASTOCO_BUY_TYPE: str
SKO_FASTOCO_BUY_BASIC: int
SKO_FASTOCO_BUY_CB: int
SKO_FASTOCO_SELL_TYPE: str
SKO_FASTOCO_SELL_FASTOCO: int
SKO_FASTOCO_SELL_MIT: int
SKO_FASTOCO_SELL_BASIC: int
SKO_FASTOCO_RDTP_MARKET_PRICE_TYPE: str
SKO_FASTOCO_DIR_NONE: int
SKO_FASTOCO_DIR_GTE: int
SKO_FASTOCO_DIR_LTE: int
SKO_FASTOCO_CLEAR_ALL_ORDER_PRICE: str
SKO_FASTOCO_BUY_SELL_2: str
SKO_FASTOCO_BUY_SELL_2_BUY: int
SKO_FASTOCO_BUY_SELL_2_SELL: int
SKO_FASTOCO_ORDER_PRICE_TYPE_2: str
SKO_FASTOCO_ORDER_PRICE_MARKET: int
SKO_FASTOCO_ORDER_PRICE_LIMIT: int
SKO_FASTOCO_ORDER_PRICE_2: str
SKO_FASTOCO_ORDER_PRICE_COND_2: str
SKO_FASTOCO_ORDER_PRICE_COND_2_ROD: int
SKO_FASTOCO_ORDER_PRICE_TYPE_3: str
SKO_FASTOCO_ORDER_PRICE_3: str
SKO_FASTOCO_ORDER_PRICE_COND_3: str
SKO_FASTOCO_ORDER_PRICE_COND_3_ROD: int
SKO_FASTOCO_ORDER_PRICE_COND_3_IOC: int
SKO_FASTOCO_ORDER_PRICE_COND_3_FOK: int
SKO_FASTOCO_FLAG_DISABLED: int
SKO_FASTOCO_FLAG_ENABLED: int
SKO_OCO_LAG_UP: int
SKO_OCO_LAG_DOWN: int
SKO_OCO_ACCOUNT: str
SKO_OCO_STOCK_NO: str
SKO_OCO_ORDER_PRICE: str
SKO_OCO_TRIGGER_UP: str
SKO_OCO_ORDER_PRICE_2: str
SKO_OCO_TRIGGER_DOWN: str
SKO_OCO_BUYSELL_UP: str
SKO_OCO_BUYSELL_DOWN: str
SKO_OCO_BUYSELL_FLAG_BUY: int
SKO_OCO_BUYSELL_FLAG_SELL: int
SKO_OCO_BUYSELL_FLAGS: Incomplete
SKO_OCO_ORDER_COND_UP: str
SKO_OCO_ORDER_COND_DOWN: str
SKO_OCO_ORDER_COND_FLAG_ROD: int
SKO_OCO_ORDER_COND_FLAG_IOC: int
SKO_OCO_ORDER_COND_FLAG_FOK: int
SKO_OCO_ORDER_COND_FLAGS: Incomplete
SKO_OCO_ORDER_TYPE_UP: str
SKO_OCO_ORDER_TYPE_DOWN: str
SKO_OCO_ORDER_TYPE_FLAG_CASH: int
SKO_OCO_ORDER_TYPE_FLAG_MARGIN: int
SKO_OCO_ORDER_TYPE_FLAG_SHORT: int
SKO_OCO_ORDER_TYPE_FLAG_NAKED_SHORT: int
SKO_OCO_ORDER_TYPE_FLAGS: Incomplete
SKO_OCO_ORDER_PRICE_TYPE_UP: str
SKO_OCO_ORDER_PRICE_TYPE_DOWN: str
SKO_OCO_ORDER_PRICE_TYPE_FLAG_MARKET: int
SKO_OCO_ORDER_PRICE_TYPE_FLAG_LIMIT: int
SKO_OCO_ORDER_PRICE_TYPE_FLAGS: Incomplete
SKO_OCO_QTY: str
SKO_MIT_TRIGGER_PRICE: str
SKO_MIT_DEAL_PRICE: str
SKO_MIT_ORDER_TYPE: str
SKO_MIT_CASH: int
SKO_MIT_MARGIN: int
SKO_MIT_SHORT: int
SKO_MIT_NAKED_SHORT: int
SKO_MIT_ORDER_TYPE_ZH: Incomplete
SKO_MIT_ORDER_TYPE_ZH_SHORT: Incomplete
SKO_TRADE_NAKED: int
SKO_TRADE_STOCK_DAYTRADE: int
SKO_MIT_ORDER_PRICE_TYPE: str
SKO_MIT_MARKET: int
SKO_MIT_LIMIT: int
ORDER_PRICE_MARKET_ZH: str
ORDER_PRICE_LIMIT_ZH: str
SKO_MIT_ORDER_PRICE_TYPE_ZH: Incomplete
SKO_MIT_ORDER_COND: str
SKO_MIT_ROD: int
SKO_MIT_IOC: int
SKO_MIT_FOK: int
SKO_MIT_ORDER_COND_ZH: Incomplete
SKO_MIT_TRIGGER_DIR: str
SKO_MIT_GTE: int
SKO_MIT_LTE: int
SKO_MIT_TRIGGER_DIR_ZH: Incomplete
SKO_MIT_TRIGGER_DIR_ZH_SHORT: Incomplete
SKO_MIT_PRE_RISK_FLAG: str
SKO_MIT_PRE_RISK_ENABLED: int
SKO_MIT_PRE_RISK_DISABLED: int
SKO_MIT_PRE_RISK_ZH: Incomplete
SKO_MIT_LONG_ACTION_FLAG: str
SKO_MIT_LONG_ACTION_ENABLED: int
SKO_MIT_LONG_ACTION_DISABLED: int
SKO_MIT_LONG_ACTION_ZH: Incomplete
SKO_MIT_LONG_END_DATE: str
SKO_MIT_LONG_END_TYPE: str
SKO_MIT_LONG_END_BY_TRIGGERED: int
SKO_MIT_LONG_END_BY_FULFILLED: int
SKO_MIT_LONG_END_BY_TYPE_ZH: Incomplete
SKO_FUTURE_ACCOUNT: str
SKO_FUTURE_STOCK_NO: str
SKO_FUTURE_TRADE_TYPE: str
SKO_FUTURE_ROD: int
SKO_FUTURE_IOC: int
SKO_FUTURE_FOK: int
SKO_FUTURE_BUY_SELL: str
SKO_FUTURE_BUY: int
SKO_FUTURE_SELL: int
SKO_FUTURE_DAY_TRADE: str
SKO_FUTURE_DAY_TRADE_DISABLED: int
SKO_FUTURE_DAY_TRADE_ENABLED: int
SKO_FUTURE_NEW_CLOSE: str
SKO_FUTURE_NEW_CLOSE_NEW: int
SKO_FUTURE_NEW_CLOSE_CLOSE: int
SKO_FUTURE_NEW_CLOSE_AUTO: int
SKO_FUTURE_PRICE: str
SKO_FUTURE_PRICE_MARKET: str
SKO_FUTURE_PRICE_RANGE_MARKET: str
SKO_FUTURE_QTY: str
SKO_FUTURE_RESERVED: str
SKO_FUTURE_RESERVED_INTRADAY: int
SKO_FUTURE_RESERVED_APPOINTMENT: int
SKO_ORDER_ACCOUNT: str
SKO_ORDER_STOCK_NO: str
SKO_ORDER_PRIME: str
SKO_ORDER_LISTED_AND_OTC: int
SKO_ORDER_ESM: int
SKO_ORDER_PERIOD: str
SKO_ORDER_INTRADAY: int
SKO_ORDER_AFTER_HOURS: int
SKO_ORDER_ODD_LOT: int
SKO_ORDER_INTRADAY_ODD_LOT: int
SKO_ORDER_FLAG: str
SKO_ORDER_CASH: int
SKO_ORDER_MARGIN: int
SKO_ORDER_SHORT: int
SKO_ORDER_NAKED_SHORT: int
SKO_ORDER_FLAGS_ZH: Incomplete
SKO_ORDER_BUY_SELL: str
SKO_ORDER_BUY: int
SKO_ORDER_SELL: int
SKO_ORDER_BUY_SELL_ZH: Incomplete
SKO_ORDER_PRICE: str
SKO_ORDER_MARKET_PRICE: str
SKO_ORDER_QTY: str
SKO_ORDER_TRADE_TYPE: str
SKO_ORDER_ROD: int
SKO_ORDER_IOC: int
SKO_ORDER_FOK: int
SKO_TRADE_TYPES_ZH: Incomplete
SKO_ORDER_SPECIAL_TRADE_TYPE: str
SKO_ORDER_TYPE_MARKET: int
SKO_ORDER_TYPE_LIMIT: int
SK_ORDER_ZERO_QTY: int
SKO_ORDER_EMPTY_STR: str
SKO_ORDER_INVALID_INT: int
SKO_PROXY_ORDER_TYPE_CASH_BUY: str
SKO_PROXY_ORDER_TYPE_CASH_SELL: str
SKO_PROXY_ORDER_TYPE_MARGIN_BUY: str
SKO_PROXY_ORDER_TYPE_MARGIN_SELL: str
SKO_PROXY_ORDER_TYPE_SHORT_BUY: str
SKO_PROXY_ORDER_TYPE_SHORT_SELL: str
SKO_PROXY_ORDER_TYPE_NAKED_SHORT: str
SKO_PROXY_ORDER_INTRADAY: int
SKO_PROXY_ORDER_AFTER_HOURS: int
SKO_PROXY_ORDER_ODD_LOT: int
SKO_PROXY_ORDER_INTRADAY_ODD_LOT: int
SKO_ORDER_PERIOD_MAP_TO_PROXY: Incomplete
SK_REPORT_STATUS_ALL: int
SK_ORDER_KIND: str
SK_ORDER_DAY_TRADE: str
SK_ORDER_CLEAR_OUT: str
SK_ORDER_MIT: str
SK_ORDER_OCO: str
SK_ORDER_MIOC: str
SK_ORDER_MST: str
SK_ORDER_DATE: str
SK_MARKET_TYPE: str
SK_MARKET_TS: str
SK_MARKET_TA: str
SK_MARKET_TL: str
SK_MARKET_TP: str
SK_MARKET_TC: str
SK_MARKET_TF: str
SK_MARKET_TO: str
SK_MARKET_OF: str
SK_MARKET_OO: str
SK_MARKET_OS: str
SK_MARKET_TYPE_NAMES: Incomplete
SK_MARKETS_NAME_STOCK_ZH: Incomplete
SK_MARKETS_STOCK: Incomplete
SK_MARKETS_FUTURE: Incomplete
SK_MARKETS: Incomplete
SK_SYMBOL_DATA_CODE: str
SK_SYMBOL_DATA_NAME: str
SK_SYMBOL_DATA_LAST_TRADE_DAY: str
SK_SYMBOL_DATA_ORDER_ID: str
SK_SYMBOL_DATA_TICK_INFO: str
SK_SYMBOL_DATA_CURRENCY: str
SK_SYMBOL_DATAS: Incomplete
SK_SYMBOL_DATA_MAPS: Incomplete
SK_SYMBOL_DATA_IDX_MAPS: Incomplete
SK_SYMBOL_TICK_INFO: str
SK_SYMBOL_TICK_SEP_TICK: str
SK_SYMBOL_TICK_SEP_INFO: str
SK_SYMBOL_TICK_RANGE_START: str
SK_SYMBOL_TICK_RANGE_END: str
SK_SYMBOL_TICK_VALUE: str
SK_SYMBOL_TICK_INFO_IDX_RANGE: int
SK_SYMBOL_TICK_INFO_IDX_VALUE: int
SK_SYMBOL_TICK_INFO_LEN: int
SKC_NAME_SET_DEBUGER: str
SKC_NAME_LOGIN: str
SKC_NAME_SET_LOG_PATH: str
SKO_NAME_INITIALIZE: str
SKO_NAME_PROXY_INITIALIZE: str
SKO_NAME_READ_CERT_BY_ID: str
SKO_NAME_GET_USER_ACCOUNT: str
SKO_NAME_GET_PROFITLOSS: str
SKQ_NAME_ENTER_MONITOR_LONG: str
SKQ_NAME_SERVER_TIME: str
SKQ_NAME_CONNECTION: str
SKQ_NAME_PROXY_CONNECTION: str
SKQ_NAME_REQUEST_STOCK_LIST: str
SKR_NAME_CONNECT_BY_ID: str
MNCODE: str
MNCODE_SUCCESS: int
SK_REAL_BALANCE_SYMBOL_CODE: str
SK_REAL_BALANCE_TYPE: str
SK_REAL_BALANCE_ORIGINAL_MARGIN: str
SK_REAL_BALANCE_AVAILABLE_MARGIN: str
SK_REAL_BALANCE_ORIGINAL_SHORT_SELL: str
SK_REAL_BALANCE_AVAILABLE_SHORT_SELL: str
SK_REAL_BALANCE_YESTERDAY_STOCK: str
SK_REAL_BALANCE_TODAY_BUY: str
SK_REAL_BALANCE_TODAY_SELL_ORDER: str
SK_REAL_BALANCE_TODAY_BUY_TRANSACTION: str
SK_REAL_BALANCE_TODAY_SELL_TRANSACTION: str
SK_REAL_BALANCE_TODAY_AVAILABLE_FOR_REPLENISHMENT_OR_SALE: str
SK_REAL_BALANCE_MARGIN_REPAYABLE_STOCK_QUANTITY: str
SK_REAL_BALANCE_SHORT_SELL_REPAYABLE_STOCK_QUANTITY: str
SK_REAL_BALANCE_REAL_TIME_INVENTORY: str
SK_REAL_BALANCE_X: str
SK_REAL_BALANCE_REAL_TIME_MAINTENANCE_RATIO: str
SK_REAL_BALANCE_LOGIN_ID: str
SK_REAL_BALANCE_ACCOUNT_NO: str
SK_REAL_BALANCE_ORDERED_LIST: Incomplete
SK_REAL_BALANCE_CASH: str
SK_REAL_BALANCE_MARGIN: str
SK_REAL_BALANCE_SHORT: str
SK_REAL_BALANCE_NAKED_SHORT: str
SK_REAL_BALANCE_TYPE_MAP: Incomplete
SK_TS_SMART_NO_REPLY: str
SK_PNL_QUERY_SUCCESS: str
SK_PNL_SUMMARY_STOCK_NAME: str
SK_PNL_SUMMARY_SYMBOL_CODE: str
SK_PNL_SUMMARY_CURRENCY: str
SK_PNL_SUMMARY_TRADE_TYPE: str
SK_PNL_SUMMARY_POSITION: str
SK_PNL_SUMMARY_MARK_PRICE: str
SK_PNL_SUMMARY_PRICE_CHANGED_TODAY: str
SK_PNL_SUMMARY_MARKET_VALUE: str
SK_PNL_SUMMARY_NAV: str
SK_PNL_SUMMARY_PNL: str
SK_PNL_SUMMARY_AVG_PRICE: str
SK_PNL_SUMMARY_COST: str
SK_PNL_SUMMARY_DEAL_PRICE: str
SK_PNL_SUMMARY_FEE: str
SK_PNL_SUMMARY_FEE_ESTIMATED: str
SK_PNL_SUMMARY_TAX: str
SK_PNL_SUMMARY_TAX_ESTIMATED: str
SK_PNL_SUMMARY_MARGIN_FUNDS: str
SK_PNL_SUMMARY_COLLATERAL: str
SK_PNL_SUMMARY_DIVIDEND_ESTIMATED: str
SK_PNL_SUMMARY_DIVIDEND: str
SK_PNL_SUMMARY_RETURN_ESTIMATED: str
SK_PNL_SUMMARY_UNKNOWN_STOCK_QTY: str
SK_PNL_SUMMARY_NOTE: str
SK_PNL_SUMMARY_HAS_DETAILS: str
SK_PNL_SUMMARY_SORTING_ID: str
SK_PNL_SUMMARY_TRADE_TYPE_CODE: str
SK_PNL_SUMMARY_BREAKEVEN: str
SK_PNL_SUMMARY_LOGIN_ID: str
SK_PNL_SUMMARY_ACCOUNT_NO: str
SK_PNL_SUMMARY_ORDERD_LIST: Incomplete
SK_PNL_DETAIL_STOCK_NAME: str
SK_PNL_DETAIL_SYMBOL_CODE: str
SK_PNL_DETAIL_DEAL_DATE: str
SK_PNL_DETAIL_TRADE_TYPE: str
SK_PNL_DETAIL_PURCHASE: str
SK_PNL_DETAIL_OFFSETABLE: str
SK_PNL_DETAIL_AVG_PRICE: str
SK_PNL_DETAIL_DEAL_PRICE: str
SK_PNL_DETAIL_PNL: str
SK_PNL_DETAIL_RETURN: str
SK_PNL_DETAIL_FEE: str
SK_PNL_DETAIL_FEE_ESTIMATED: str
SK_PNL_DETAIL_TAX: str
SK_PNL_DETAIL_TAX_ESTIMATED: str
SK_PNL_DETAIL_MARGIN_FUNDS: str
SK_PNL_DETAIL_COLLATERAL: str
SK_PNL_DETAIL_LENDING_INTEREST: str
SK_PNL_DETAIL_SHORT_FEE: str
SK_PNL_DETAIL_PAYMENT: str
SK_PNL_DETAIL_DIVIDEND: str
SK_PNL_DETAIL_NOTE: str
SK_PNL_DETAIL_BOOK_NO: str
SK_PNL_DETAIL_TRADE_TYPE_CODE: str
SK_PNL_DETAIL_LOGIN_ID: str
SK_PNL_DETAIL_ACCOUNT_NO: str
SK_PNL_DETAIL_ORDERD_LIST: Incomplete
SK_PNL_REALIZED_SUMMARY_TRADE_TYPE: str
SK_PNL_REALIZED_SUMMARY_TRADE_TYPE_CODE: str
SK_PNL_REALIZED_SUMMARY_DATE: str
SK_PNL_REALIZED_SUMMARY_SUBSIDIARY_CODE: str
SK_PNL_REALIZED_SUMMARY_ACCOUNT: str
SK_PNL_REALIZED_SUMMARY_STOCK_NO: str
SK_PNL_REALIZED_SUMMARY_QTY: str
SK_PNL_REALIZED_SUMMARY_PRICE: str
SK_PNL_REALIZED_SUMMARY_PNL: str
SK_PNL_REALIZED_SUMMARY_RETURN: str
SK_PNL_REALIZED_SUMMARY_NOTE: str
SK_PNL_REALIZED_SUMMARY_HAS_DETAILS: str
SK_PNL_REALIZED_SUMMARY_BOOK_NO_SELL: str
SK_PNL_REALIZED_SUMMARY_SEQ_NO_SELL: str
SK_PNL_REALIZED_SUMMARY_STOCK_NAME: str
SK_PNL_REALIZED_SUMMARY_CURRENCY: str
SK_PNL_REALIZED_SUMMARY_INVESTMENT: str
SK_PNL_REALIZED_SUMMARY_LOGIN_ID: str
SK_PNL_REALIZED_SUMMARY_ORDERD_LIST: Incomplete
SK_PNL_REALIZED_DETAIL_DATE: str
SK_PNL_REALIZED_DETAIL_TRADE_TYPE: str
SK_PNL_REALIZED_DETAIL_STOCK_NO: str
SK_PNL_REALIZED_DETAIL_STOCK_NAME: str
SK_PNL_REALIZED_DETAIL_BOOK_NO: str
SK_PNL_REALIZED_DETAIL_BUYSELL: str
SK_PNL_REALIZED_DETAIL_QTY: str
SK_PNL_REALIZED_DETAIL_AVG_PRICE: str
SK_PNL_REALIZED_DETAIL_DEAL_PRICE: str
SK_PNL_REALIZED_DETAIL_FEE: str
SK_PNL_REALIZED_DETAIL_TAX: str
SK_PNL_REALIZED_DETAIL_MARGIN_FUNDS: str
SK_PNL_REALIZED_DETAIL_COLLATERAL: str
SK_PNL_REALIZED_DETAIL_MARGIN_INTEREST: str
SK_PNL_REALIZED_DETAIL_SHORT_FEE: str
SK_PNL_REALIZED_DETAIL_PAYMENT: str
SK_PNL_REALIZED_DETAIL_OFFSET_QTY: str
SK_PNL_REALIZED_DETAIL_NOTE: str
SK_PNL_REALIZED_DETAIL_TRADE_TYPE_CODE: str
SK_PNL_REALIZED_DETAIL_LOGIN_ID: str
SK_PNL_REALIZED_DETAIL_ACCOUNT_NO: str
SK_PNL_REALIZED_DETAIL_ORDERD_LIST: Incomplete
SK_PNL_REALIZED_TOTAL_SUBSIDIARY_CODE: str
SK_PNL_REALIZED_TOTAL_ACCOUNT: str
SK_PNL_REALIZED_TOTAL_INVESTMENT_TWD: str
SK_PNL_REALIZED_TOTAL_PNL_TWD: str
SK_PNL_REALIZED_TOTAL_RETURN_TWD: str
SK_PNL_REALIZED_TOTAL_INVESTMENT_RMB: str
SK_PNL_REALIZED_TOTAL_PNL_RMB: str
SK_PNL_REALIZED_TOTAL_RETURN_RMB: str
SK_PNL_REALIZED_TOTAL_LOGIN_ID: str
SK_PNL_REALIZED_TOTAL_ORDERD_LIST: Incomplete
SK_PNL_REALIZED_SUMMARY_BY_STOCK_TRADE_TYPE: str
SK_PNL_REALIZED_SUMMARY_BY_STOCK_TRADE_TYPE_CODE: str
SK_PNL_REALIZED_SUMMARY_BY_STOCK_SUBSIDIARY_CODE: str
SK_PNL_REALIZED_SUMMARY_BY_STOCK_ACCOUNT: str
SK_PNL_REALIZED_SUMMARY_BY_STOCK_SYMBOL_CODE: str
SK_PNL_REALIZED_SUMMARY_BY_STOCK_QTY: str
SK_PNL_REALIZED_SUMMARY_BY_STOCK_PNL: str
SK_PNL_REALIZED_SUMMARY_BY_STOCK_RETURN: str
SK_PNL_REALIZED_SUMMARY_BY_STOCK_CURRENCY: str
SK_PNL_REALIZED_SUMMARY_BY_STOCK_LOGIN_ID: str
SK_PNL_REALIZED_SUMMARY_BY_STOCK_ORDERD_LIST: Incomplete
SK_PNL_DAYTRADE_SUMMARY_NUM: str
SK_PNL_DAYTRADE_SUMMARY_STOCK_NAME: str
SK_PNL_DAYTRADE_SUMMARY_SYMBOL_CODE: str
SK_PNL_DAYTRADE_SUMMARY_CURRENCY_ZH: str
SK_PNL_DAYTRADE_SUMMARY_OFFSET_QTY: str
SK_PNL_DAYTRADE_SUMMARY_PENDING_OFFSET_QTY: str
SK_PNL_DAYTRADE_SUMMARY_PENDING_BUY_QTY: str
SK_PNL_DAYTRADE_SUMMARY_PENDING_SELL_QTY: str
SK_PNL_DAYTRADE_SUMMARY_OFFSET_AVAILABLE_QTY: str
SK_PNL_DAYTRADE_SUMMARY_MARKET_PRICE: str
SK_PNL_DAYTRADE_SUMMARY_UPDOWN_TODAY: str
SK_PNL_DAYTRADE_SUMMARY_MARKET_VALUE: str
SK_PNL_DAYTRADE_SUMMARY_NAV: str
SK_PNL_DAYTRADE_SUMMARY_PNL_UNREALIZED: str
SK_PNL_DAYTRADE_SUMMARY_PNL_REALIZED: str
SK_PNL_DAYTRADE_SUMMARY_PNL_TOTAL: str
SK_PNL_DAYTRADE_SUMMARY_AVG_PRICE: str
SK_PNL_DAYTRADE_SUMMARY_COST: str
SK_PNL_DAYTRADE_SUMMARY_DEAL_PRICE: str
SK_PNL_DAYTRADE_SUMMARY_FEE: str
SK_PNL_DAYTRADE_SUMMARY_FEE_ESTIMATED: str
SK_PNL_DAYTRADE_SUMMARY_TAX: str
SK_PNL_DAYTRADE_SUMMARY_TAX_ESTIMATED: str
SK_PNL_DAYTRADE_SUMMARY_RETURN_ESTIMATED: str
SK_PNL_DAYTRADE_SUMMARY_NOTE: str
SK_PNL_DAYTRADE_SUMMARY_HAS_DETAILS: str
SK_PNL_DAYTRADE_SUMMARY_CURRENCY: str
SK_PNL_DAYTRADE_SUMMARY_LOGIN_ID: str
SK_PNL_DAYTRADE_SUMMARY_ACCOUNT_NO: str
SK_PNL_DAYTRADE_SUMMARY_ORDERD_LIST: Incomplete
SK_PNL_DAYTRADE_DETAILS_STOCK_NAME: str
SK_PNL_DAYTRADE_DETAILS_BOOK_NO: str
SK_PNL_DAYTRADE_DETAILS_QTY: str
SK_PNL_DAYTRADE_DETAILS_OFFSET_QTY: str
SK_PNL_DAYTRADE_DETAILS_AVG_PRICE: str
SK_PNL_DAYTRADE_DETAILS_DEAL_PRICE: str
SK_PNL_DAYTRADE_DETAILS_FEE: str
SK_PNL_DAYTRADE_DETAILS_FEE_ESTIMATED: str
SK_PNL_DAYTRADE_DETAILS_TAX: str
SK_PNL_DAYTRADE_DETAILS_TAX_ESTIMATED: str
SK_PNL_DAYTRADE_DETAILS_PAYMENT: str
SK_PNL_DAYTRADE_DETAILS_SYMBOL_CODE: str
SK_PNL_DAYTRADE_DETAILS_BUYSELL: str
SK_PNL_DAYTRADE_DETAILS_LOGIN_ID: str
SK_PNL_DAYTRADE_DETAILS_ACCOUNT_NO: str
SK_PNL_DAYTRADE_DETAILS_ORDERD_LIST: Incomplete
SK_AVG_COST_NO_EXIST: str
SK_AVG_COST_ERROR_SEARCH: str
SK_AVG_COST_DATE: str
SK_AVG_COST_UNIT: str
SK_AVG_COST_ACCOUNT: str
SK_AVG_COST_SYMBOL_CODE: str
SK_AVG_COST_SEQ_NO: str
SK_AVG_COST_TRADE_TYPE: str
SK_AVG_COST_POSITION: str
SK_AVG_COST_DEAL_PRICE: str
SK_AVG_COST_FEE: str
SK_AVG_COST_MARGIN_FUNDS: str
SK_AVG_COST_COLLATERAL: str
SK_AVG_COST_MARGIN_INTEREST: str
SK_AVG_COST_SHORT_FEE: str
SK_AVG_COST_ORDERD_LIST: Incomplete
SK_BALANCE_NO_STOCK: str
SK_BALANCE_ACCOUNT: str
SK_BALANCE_SYMBOL_CODE: str
SK_BALANCE_STOCK_QTY: str
SK_BALANCE_MARGIN_STOCK_QTY: str
SK_BALANCE_MARGIN_AMOUNT: str
SK_BALANCE_SHORT_SELL_STOCK_QTY: str
SK_BALANCE_SHORT_SELL_AMOUNT: str
SK_BALANCE_MARGIN: str
SK_BALANCE_COLLATERAL: str
SK_BALANCE_ORDERD_LIST: Incomplete
SK_MARGIN_SUCCESS: str
SK_MARGIN_TOKEN_INVALID: str
SK_MARGIN_NO_PERMISSION: str
SK_MARGIN_STOCK_NO: str
SK_MARGIN_FINANCING_FLAG: str
SK_MARGIN_FINANCING_FLAG_ENABLED: int
SK_MARGIN_FINANCING_FLAG_DISABLED: int
SK_MARGIN_FINANCING_FLAG_UNELIGIBLE: int
SK_MARGIN_FINANCING_LIMIT: str
SK_MARGIN_FINANCING_LIMIT_EMPTY: int
SK_MARGIN_FINANCING_LIMIT_NONE: int
SK_MARGIN_FINANCING_RATIO: str
SK_MARGIN_SHORT_SELLING_FLAG: str
SK_MARGIN_SHORT_SELLING_FLAG_ENABLED: int
SK_MARGIN_SHORT_SELLING_FLAG_DISABLED: int
SK_MARGIN_SHORT_SELLING_FLAG_UNELIGIBLE: int
SK_MARGIN_SHORT_SELLING_LIMIT: str
SK_MARGIN_SHORT_SELLING_RATIO: str
SK_MARGIN_DAY_TRADE_FLAG: str
SK_MARGIN_DAY_TRADE_FLAG_DISABLED: int
SK_MARGIN_DAY_TRADE_FLAG_ENABLED: int
SK_MARGIN_DAY_TRADE_FLAG_ZH: Incomplete
SK_MARGIN_DOWN_GRADE_FLAG: str
SK_MARGIN_DOWN_GRADE_FLAG_NORMAL: int
SK_MARGIN_DOWN_GRADE_FLAG_DOWN: int
SK_MARGIN_DOWN_GRADE_FLAG_UP: int
SK_MARGIN_FLAT_POSITION_SHORT_SELL_FLAG: str
SK_MARGIN_FLAT_POSITION_SHORT_SELL_FLAG_ENABLED: int
SK_MARGIN_FLAT_POSITION_SHORT_SELL_FLAG_DISABLED: int
SK_MARGIN_FULL_SETTLEMENT_FLAG: str
SK_MARGIN_FULL_SETTLEMENT_DISABLED: int
SK_MARGIN_FULL_SETTLEMENT_ENABLED: int
SK_MARGIN_FULL_SETTLEMENT_ZH: Incomplete
SK_MARGIN_WARNING_FLAG: str
SK_MARGIN_WARNING_FLAG_ENABLED: int
SK_MARGIN_WARNING_FLAG_DISABLED: int
SK_MARGIN_DISPOSITION_STOCK_FLAG: str
SK_MARGIN_DISPOSITION_STOCK_DISABLED: int
SK_MARGIN_DISPOSITION_STOCK_ENABLED: int
SK_MARGIN_DISPOSITION_STOCK_ENABLED_AGAIN: int
SK_MARGIN_DISPOSITION_STOCK_ENABLED_FLEXIBLE: int
SK_MARGIN_DISPOSITION_STOCK_ENABLED_FLAGS: Incomplete
SK_MARGIN_DISPOSITION_STOCK_FLAG_ZH: Incomplete
SK_MARGIN_WATCH_STOCK_FLAG: str
SK_MARGIN_WATCH_STOCK_FLAG_DISABLED: int
SK_MARGIN_WATCH_STOCK_FLAG_ENABLED: int
SK_MARGIN_RESTRICTED_STOCK_FLAG: str
SK_MARGIN_RESTRICTED_STOCK_FLAG_DISABLED: int
SK_MARGIN_RESTRICTED_STOCK_FLAG_ENABLED: int
SK_MARGIN_ABNORMAL_PROMOTION_FLAG: str
SK_MARGIN_ABNORMAL_PROMOTION_FLAG_DISABLED: int
SK_MARGIN_ABNORMAL_PROMOTION_FLAG_ENABLED: int
SK_MARGIN_SPECIAL_ABNORMAL_FLAG: str
SK_MARGIN_SPECIAL_ABNORMAL_FLAG_DISABLED: int
SK_MARGIN_SPECIAL_ABNORMAL_FLAG_ENABLED: int
SK_MARGIN_SINGLE_ORDER_SHARE_LIMIT: str
SK_MARGIN_MULTIPLE_ORDER_SHARE_LIMIT: str
SK_MARGIN_CASH_SECURITY_PRECOLLECTION_RATIO: str
SK_MARGIN_LOGIN_ID: str
SK_MARGIN_ACCOUNT_NO: str
SK_MARGIN_ORDERD_LIST: Incomplete
SK_ORDER_ID_NONE: str
SK_STRATEGY_DATE: str
SK_STRATEGY_USER_ID: str
SK_STRATEGY_MARKET_TYPE: str
SK_STRATEGY_MARKET_TS: str
SK_STRATEGY_MARKET_TF: str
SK_STRATEGY_MARKET_OF: str
SK_STRATEGY_MARKET_TYPES: Incomplete
SK_STRATEGY_MARKET_TYPES_ZH: Incomplete
SK_STRATEGY_TYPE: str
SK_STRATEGY_TYPE_NEW: int
SK_STRATEGY_TYPE_CANCEL: int
SK_STRATEGY_EXCHANGE_CODE: str
SK_STRATEGY_SMART_KEY_NO: str
SK_STRATEGY_PUB_SEQ_NO: str
SK_STRATEGY_TRADE_KIND: str
SK_STRATEGY_NONE: int
SK_STRATEGY_OCO: int
SK_STRATEGY_MIT: int
SK_STRATEGY_MST_TRAILING_STOP: int
SK_STRATEGY_DAY_TRADE: int
SK_STRATEGY_CLEAR: int
SK_STRATEGY_CB_COMBO: int
SK_STRATEGY_MIOC: int
SK_STRATEGY_FASTOCO: int
SK_STRATEGY_BROKER: str
SK_STRATEGY_ACCOUNT: str
SK_STRATEGY_SUB_ACCOUNT: str
SK_STRATEGY_EXCHANGE_ID: str
SK_STRATEGY_SEQ_NO: str
SK_STRATEGY_O_SEQ_NO: str
SK_STRATEGY_ORDER_NO: str
SK_STRATEGY_STOCK_NO: str
SK_STRATEGY_BUY_SELL: str
SK_STRATEGY_BUY: str
SK_STRATEGY_SELL: str
SK_STRATEGY_BUY_SELL_MAP: Incomplete
SK_STRATEGY_BUY_SELL_TEXT_MAP: Incomplete
SK_STRATEGY_ORDER_TYPE: str
SK_STRATEGY_ORDER_TYPES: Incomplete
SK_STRATEGY_ORDER_TYPE_MAP: Incomplete
SK_STRATEGY_ORDER_COND_MAP: Incomplete
SK_STRATEGY_TRADE_KIND_MAP: Incomplete
SK_STRATEGY_ORDER_PRICE_MARK: str
SK_STRATEGY_ORDER_PRICE: str
SK_STRATEGY_PRICE_TYPE: str
SK_STRATEGY_ORDER_COND: str
SK_STRATEGY_QTY: str
SK_STRATEGY_TRIGGER_PRICE: str
SK_STRATEGY_TRIGGER_TIME: str
SK_STRATEGY_TRIGGER_DIR: str
SK_STRATEGY_TRIGGER_DIR_NONE: int
SK_STRATEGY_TRIGGER_DIR_GTE: int
SK_STRATEGY_TRIGGER_DIR_LTE: int
SK_STRATEGY_TRIGGER_DIRS: Incomplete
SK_STRATEGY_TRIGGER_DIR_MAP: Incomplete
SK_STRATEGY_IS_DAY_TRADE: str
SK_STRATEGY_CREATE_TIME: str
SK_STRATEGY_SALE_NO: str
SK_STRATEGY_USER_IP: str
SK_STRATEGY_TRADE_SOURCE: str
SK_STRATEGY_STATUS: str
SK_STRATEGY_STATUS_MIDDLE_OFFICE_ACCEPTED: int
SK_STRATEGY_STATUS_MIDDLE_OFFICE_FAILED: int
SK_STRATEGY_STATUS_PRICE_MATCHING: int
SK_STRATEGY_STATUS_TRIGGER_PRICE_UPDATED: int
SK_STRATEGY_STATUS_PRICE_MATCHING_FAILED: int
SK_STRATEGY_STATUS_PRICE_MATCHING_TRIGGERED: int
SK_STRATEGY_STATUS_TRIGGER_ORDER_PLACED: int
SK_STRATEGY_STATUS_ORDER_FAILED: int
SK_STRATEGY_STATUS_USER_CANCELED: int
SK_STRATEGY_STATUS_UNIVERSAL: int
SK_STRATEGY_STATUSES: Incomplete
SK_STRATEGY_STATUSES_INIT: Incomplete
SK_STRATEGY_STATUSES_VOLUME_UNCH: Incomplete
SK_STRATEGY_STATUSES_STARTED: Incomplete
SK_STRATEGY_STATUSES_CANCELED: Incomplete
SK_STRATEGY_STATUSES_COMPLETED: Incomplete
SK_STRATEGY_STATUSES_FINISHED: Incomplete
SK_STRATEGY_STATUSES_OPENED: Incomplete
SK_STRATEGY_STATUSES_CLOSED: Incomplete
SK_STRATEGY_STATUSES_CANCELLABLE: Incomplete
SK_STRATEGY_ERROR_MSG: str
SK_STRATEGY_ERROR_MSG_FAIL: str
SK_STRATEGY_ERROR_MSG_SUCCESS: str
SK_STRATEGY_ERROR_MSG_MAP: Incomplete
SK_STRATEGY_MESSAGE: str
SK_STRATEGY_UPDATE_TIME: str
SK_STRATEGY_UNIVERSAL_MSG: str
SK_MIT_REPLY_BASE_PRICE: str
SK_MIT_REPLY_MARKET_DEAL_TRIGGER: str
SK_MIT_REPLY_PRE_RISK_FLAG: str
SK_MIT_REPLY_PRE_RISK_DISABLED: int
SK_MIT_REPLY_PRE_RISK_ENABLED: int
SK_MIT_REPLY_SPLIT_FLAG: str
SK_MIT_REPLY_IS_BEST_QTY: str
SK_MIT_REPLY_BEST_QTY: str
SK_MIT_REPLY_BEST_QTY_DIRECTION: str
SK_MIT_REPLY_LONG_ACTION_FLAG: str
SK_MIT_REPLY_LONG_ACTION_KEY: str
SK_MIT_REPLY_LONG_END_DATE: str
SK_MIT_REPLY_TRIGGER_STOP: str
SK_MIT_REPLY_LONG_ACTION_TYPE: str
SK_MIT_REPLY_LONG_ACTION_QTY: str
SK_MIT_REPLY_LONG_ACTION_DEAL_VOLUME: str
SK_STRATEGY_DATA_ORDERD_LIST_MIT: Incomplete
SK_OCO_REPLY_TOUCH_PRICE_UP: str
SK_OCO_REPLY_TOUCH_PRICE_DOWN: str
SK_OCO_REPLY_ORDER_PRICE_2: str
SK_OCO_REPLY_ORDER_PRICE_TYPE_2: str
SK_OCO_REPLY_ORDER_COND_2: str
SK_OCO_REPLY_BUY_SELL_2: str
SK_OCO_REPLY_ORDER_TYPE_2: str
SK_OCO_REPLY_ORDER_PRICE_MARK_2: str
SK_STRATEGY_DATA_ORDERD_LIST_OCO: Incomplete
SK_FASTOCO_IN_TRADE_KIND: str
SK_FASTOCO_IN_TRADE_KIND_BASIC: int
SK_FASTOCO_IN_TRADE_KIND_CB: int
SK_FASTOCO_OUT_TRADE_KIND: str
SK_FASTOCO_OUT_TRADE_KIND_BASIC: int
SK_FASTOCO_OUT_TRADE_KIND_MIT: int
SK_FASTOCO_OUT_TRADE_KIND_FASTOCO: int
SK_FASTOCO_ORDERED_LIST_COMMON: Incomplete
SK_FASTOCO_IN_BASIC_ORDER_TYPE: str
SK_FASTOCO_IN_BASIC_ORDER_PRICE_MARK: str
SK_FASTOCO_IN_BASIC_ORDER_PRICE: str
SK_FASTOCO_IN_BASIC_PRICE_TYPE: str
SK_FASTOCO_IN_BASIC_ORDER_COND: str
SK_FASTOCO_ORDERED_LIST_IN_BASIC: Incomplete
SK_FASTOCO_IN_CB_IS_AND: str
SK_FASTOCO_IN_CB_IS_DEAL_PRICE: str
SK_FASTOCO_IN_CB_DEAL_PRICE: str
SK_FASTOCO_IN_CB_DEAL_PRICE_DIRECTION: str
SK_FASTOCO_IN_CB_IS_BUY_PRICE: str
SK_FASTOCO_IN_CB_BUY_PRICE: str
SK_FASTOCO_IN_CB_IS_SELL_PRICE: str
SK_FASTOCO_IN_CB_SELL_PRICE: str
SK_FASTOCO_IN_CB_SELL_PRICE_DIRECTION: str
SK_FASTOCO_IN_CB_IS_SUM_QTY: str
SK_FASTOCO_IN_CB_IS_SUM_QTY_DIRECTION: str
SK_FASTOCO_IN_CB_DEAL_TRIGGER: str
SK_FASTOCO_IN_CB_BUY_TRIGGER: str
SK_FASTOCO_IN_CB_SELL_TRIGGER: str
SK_FASTOCO_IN_CB_SUM_QTY_TRIGGER: str
SK_FASTOCO_IN_CB_MARKET_DEAL: str
SK_FASTOCO_IN_CB_MARKET_BUY: str
SK_FASTOCO_IN_CB_MARKET_SELL: str
SK_FASTOCO_IN_CB_MARKET_SUM_QTY: str
SK_FASTOCO_IN_CB_IS_PRE_QTY: str
SK_FASTOCO_IN_CB_PRE_QTY: str
SK_FASTOCO_IN_CB_PRE_QTY_DIRECTION: str
SK_FASTOCO_IN_CB_PRE_QTY_TRIGGER: str
SK_FASTOCO_IN_CB_MARKET_PRE_QTY: str
SK_FASTOCO_IN_CB_IS_BID_QTY: str
SK_FASTOCO_IN_CB_BID_QTY: str
SK_FASTOCO_IN_CB_BID_QTY_DIRECTION: str
SK_FASTOCO_IN_CB_BID_QTY_TRIGGER: str
SK_FASTOCO_IN_CB_MARKET_BID_QTY: str
SK_FASTOCO_IN_CB_IS_ASK_QTY: str
SK_FASTOCO_IN_CB_ASK_QTY: str
SK_FASTOCO_IN_CB_ASK_QTY_DIRECTION: str
SK_FASTOCO_IN_CB_ASK_QTY_TRIGGER: str
SK_FASTOCO_IN_CB_MARKET_ASK_QTY: str
SK_FASTOCO_ORDERED_LIST_IN_CB: Incomplete
SK_FASTOCO_OUT_FASTOCO_BUY_SELL_2: str
SK_FASTOCO_OUT_FASTOCO_ORDER_PRICE_MARK_2: str
SK_FASTOCO_OUT_FASTOCO_ORDER_TYPE_2: str
SK_FASTOCO_OUT_FASTOCO_ORDER_PRICE_TYPE_2: str
SK_FASTOCO_OUT_FASTOCO_ORDER_COND_2: str
SK_FASTOCO_OUT_FASTOCO_TRIGGER_KIND: str
SK_FASTOCO_ORDERED_LIST_OUT_FASTOCO: Incomplete
SK_FASTOCO_OUT_MIT_BASE_PRICE: str
SK_FASTOCO_OUT_MIT_MARKET_DEAL_TRIGGER: str
SK_FASTOCO_ORDERED_LIST_OUT_MIT: Incomplete
SK_STRATEGY_DATA_ORDERD_LIST_COMMON: Incomplete
ORDER: str
THREAD_ID: str
SK_ORDER_ID: str
SK_STOCK_ID: str
IS_ORDER_ALREADY_CANCELLED: str
SK_ON_ASYNC_ORDER_RESERVATION: int
SK_ON_ASYNC_ORDER_FAILED: int
SK_ON_ASYNC_ORDER_AFTER_HOURS_ERROR: int
SK_ON_ASYNC_ORDER_MARGIN_PERMISSION_NEED: int
SKO_ACTION: str
START_TIME: str
ORDER_FROM: str
ORDER_FROM_FUTURE: str
ORDER_FROM_BASIC: str
ORDER_FROM_MIT: str
ORDER_FROM_OCO: str
ORDER_FROM_FASTOCO: str
ORDER_FROM_CB: str
ORDER_FROM_ZH_MAP: Incomplete
ORDER_STATE: str
ORDER_STATE_SENDING: str
ORDER_STATE_PENDING: str
ORDER_STATE_OPENED: str
ORDER_STATE_CANCELING: str
ORDER_STATE_DELETED: str
THREAD_ID_ON_NEW: str
THREAD_ID_ON_CANCEL: str
SK_ORDER_CANCEL_ALL: str
CANCEL_ORDERS_FAILED: str
CANCEL_ORDERS_SENT: str
ORDER_HAS_BEEN_EXECUTED: str
IS_STRATEGY_ORDER_SENT: str
IS_STRATEGY_APPOINTMENT_ORDER_SENT: str

def isNoMarginPermission(code): ...
def isOrderSendFailed(nCode): ...
def isOrderSendFailedInMessage(bstrMessage): ...
def isOrderCancelFailed(nCode): ...
def isAfterHoursOrderDuringIntraDay(nCode): ...
def isReservationOrder(nCode): ...

M_GET_BALANCE_QUERY: str
SK_KIND: str
SK_CODE: str
SK_STAMP_ID: str
SK_MARKET_NO: str
SK_PTR: str
SK_TIME: str
SK_DATE: str
SK_TIME_HMS: str
SK_TIME_MS_MICROS: str
SK_QTY: str
SK_TOTV: str
SK_TOTS: str
SK_TOTC: str
SK_UP: str
SK_DOWN: str
SK_HIGH: str
SK_LOW: str
SK_NO_CHANGE: str
SK_TICK_TIMESTAMP: str
SK_BEST_BID_1: str
SK_BEST_BID_QTY_1: str
SK_BEST_BID_2: str
SK_BEST_BID_QTY_2: str
SK_BEST_BID_3: str
SK_BEST_BID_QTY_3: str
SK_BEST_BID_4: str
SK_BEST_BID_QTY_4: str
SK_BEST_BID_5: str
SK_BEST_BID_QTY_5: str
SK_EXTEND_BID: str
SK_EXTEND_BID_QTY: str
SK_BEST_ASK_1: str
SK_BEST_ASK_QTY_1: str
SK_BEST_ASK_2: str
SK_BEST_ASK_QTY_2: str
SK_BEST_ASK_3: str
SK_BEST_ASK_QTY_3: str
SK_BEST_ASK_4: str
SK_BEST_ASK_QTY_4: str
SK_BEST_ASK_5: str
SK_BEST_ASK_QTY_5: str
SK_EXTEND_ASK: str
SK_EXTEND_ASK_QTY: str
SK_DATA: str
SK_STOCK_DATA: str
SK_SC: str
SK_BS: str
SK_SS: str
SK_HOUR: str
SK_MINUTE: str
SK_SECOND: str
SK_TOTAL: str
SK_S_MARKET_NO: str
SK_USER_ID: str
SK_ERROR_CODE: str
SK_MESSAGE: str
SK_MESSAGES: str
SK_CONFIRM_CODE: str
SK_MARKET: str
SK_THREAD_ID: str
SK_LOGIN_ID: str
SK_ACCOUNT_DATA: str
SK_ORDER_LINKED_ID: str
SK_PAGE: str
SK_STOCK_IDX: str
SK_DECIMAL: str
SK_TYPE_NO: str
SK_STOCK_NO: str
SK_STOCK_NAME: str
SK_OPEN: str
SK_CLOSE: str
SK_TICK_QTY: str
SK_REF: str
SK_BID: str
SK_BC: str
SK_ASK: str
SK_AC: str
SK_TBC: str
SK_TAC: str
SK_FUTURE_OI: str
SK_T_QTY: str
SK_Y_QTY: str
SK_SIMULATE: str
SK_SIMULATE_DISABLED: int
SK_SIMULATE_ENABLED: int
SK_DAY_TRADE: str
SK_DAY_TRADE_DISABLED: int
SK_DAY_TRADE_BUY_FIRST_ONLY: int
SK_DAY_TRADE_ENABLED: int
SK_DISABLED_STOCK_OFFSET_ZH: str
SK_BUY_FIRST_STOCK_OFFSET_ZH: str
SK_ENABLED_STOCK_OFFSET_ZH: str
SK_TRADING_DAY: str
SKSTOCKLONG_KEYS: Incomplete
SKC_ON_TIMER: str
SKC_ON_SHOW_AGREEMENT: str
SKC_ON_ALL: Incomplete
SKO_ON_ACCOUNT: str
SKO_ON_ASYNC_ORDER: str
SKO_ON_REAL_BALANCE_REPORT: str
SKO_ON_OPEN_INTEREST: str
SKO_ON_OVERSEA_FUTURE_OPEN_INTEREST: str
SKO_ON_STOP_LOSS_REPORT: str
SKO_ON_OVERSEA_FUTURE: str
SKO_ON_OVERSEA_OPTION: str
SKO_ON_FUTURE_RIGHTS: str
SKO_ON_OVERSEA_FUTURE_RIGHT: str
SKO_ON_MARGIN_PURCHASE_AMOUNT_LIMIT: str
SKO_ON_BALANCE_QUERY: str
SKO_ON_TS_SMART_STRATEGY_REPORT: str
SKO_ON_ASYNC_ORDER_OLID: str
SKO_ON_PROFIT_LOSS_GW_REPORT: str
SKO_ON_OVERSEA_FUTURE_OPEN_INTEREST_GW: str
SKO_ON_TELNET_TEST: str
SKO_ON_PROXY_STATUS: str
SKO_ON_PROXY_ORDER: str
SK_PROXY_ORDER_TYPE_CANCEL: int
SK_PROXY_ORDER_TYPE_DECREASE_QTY: int
SK_PROXY_ORDER_TYPE_UPDATE_PRICE: int
SK_PROXY_ORDER_TYPES: Incomplete
SK_PROXY_SPECIAL_TRADE_TYPE_MARKET: int
SK_PROXY_SPECIAL_TRADE_TYPE_LIMIT: int
SK_PROXY_SPECIAL_TRADES: Incomplete
SK_PROXY_PERIOD_INTRADAY: int
SK_PROXY_PERIOD_ODD_LOT: int
SK_PROXY_PERIOD_AFTER_MARKET: int
SK_PROXY_PERIOD_INTRADAY_ODD_LOT: int
SK_PROXY_PERIODS: Incomplete
SK_PROXY_PERIOD_MARKET_MAPS: Incomplete
SK_PROXY_TRADE_TYPE_ROD: int
SK_PROXY_TRADE_TYPE_IOC: int
SK_PROXY_TRADE_TYPE_FOK: int
SK_PROXY_TRADE_TYPES_MAPS: Incomplete
SK_ON_PROXY_ORDER_PHASE_1: str
SK_ON_PROXY_ORDER_PHASE_2: str
SK_ON_PROXY_ORDER_MESSAGE: str
SK_ON_PROXY_ORDER_ORDER_NO: str
SK_ON_PROXY_ORDER_SEQ_NO: str
SK_ON_PROXY_ORDER_ORKEY: str
SK_ON_PROXY_ORDER_ACTION: str
SK_ON_PROXY_ORDER_BLOCK_NUM: str
SK_ON_PROXY_ORDER_ACTION_LOCK_STOCK: str
SK_ON_PROXY_ORDER_ACTION_LOCK_CASH: str
SK_ON_PROXY_ORDER_VALID_ACTIONS: Incomplete
SK_ON_PROXY_ORDER_ACTION_MESSAGES: Incomplete
SKO_ON_ALL: Incomplete
SKR_ON_CONNECT: str
SKR_ON_DISCONNECT: str
SKR_ON_COMPLETE: str
SKR_ON_DATA: str
SKR_ON_REPLY_MESSAGE: str
SKR_ON_REPLY_CLEAR: str
SKR_ON_NEW_DATA: str
SKR_ON_SOLACE_REPLY_DISCONNECT: str
SKR_ON_SOLACE_REPLY_CONNECTION: str
SKR_ON_REPLY_CLEAR_MESSAGE: str
SKR_ON_STRATEGY_DATA: str
SKR_ON_ALL: Incomplete
SKQ_ON_CONNECTION: str
SKQ_ON_NOTIFY_SERVER_TIME: str
SKQ_ON_NOTIFY_QUOTE_LONG: str
SKQ_ON_NOTIFY_HISTORY_TICKS_LONG: str
SKQ_ON_NOTIFY_TICKS_LONG: str
SKQ_ON_NOTIFY_BEST_5_LONG: str
SKQ_ON_NOTIFY_KLINE_DATA: str
SKQ_ON_NOTIFY_MARKET_TOT: str
SKQ_ON_NOTIFY_MARKET_BUY_SELL: str
SKQ_ON_NOTIFY_MARKET_HIGH_LOW: str
SKQ_ON_NOTIFY_STRIKE_PRICES: str
SKQ_ON_NOTIFY_STOCK_LIST: str
SKQ_ON_NOTIFY_MARKET_HIGH_LOW_NO_WARRANT: str
SKQ_ON_NOTIFY_COMMODITY_LIST_DATA_WITH_TYPE_NO: str
SKQ_ON_NOTIFY_BOOL_TUNEL_LONG: str
SKQ_ON_NOTIFY_MACD_LONG: str
SKQ_ON_NOTIFY_FUTURE_TRADE_INFO_LONG: str
SKQ_ON_NOTIFY_ODD_LOT_SPREAD_DEAL: str
SKQ_ON_ALL: Incomplete
PRICE: str
QTY: str
SK_BID_1: str
SK_BID_QTY_1: str
SK_BID_2: str
SK_BID_QTY_2: str
SK_BID_3: str
SK_BID_QTY_3: str
SK_BID_4: str
SK_BID_QTY_4: str
SK_BID_5: str
SK_BID_QTY_5: str
SK_ASK_1: str
SK_ASK_QTY_1: str
SK_ASK_2: str
SK_ASK_QTY_2: str
SK_ASK_3: str
SK_ASK_QTY_3: str
SK_ASK_4: str
SK_ASK_QTY_4: str
SK_ASK_5: str
SK_ASK_QTY_5: str
SKBEST5_KEYS: Incomplete
PRICE_KEYS: Incomplete

def isSKPrice(key): ...
def checkSKMarketPrice(price): ...
def SKObjectToDict(obj, keys): ...
def SKStockLongToDict(stock): ...

SK_ON_ALL: Incomplete
DISCONNECT_FROM: str
DISCONNECT_ARGS: str
SK_EVENT_HANDLER: str
SK_EVENT_NAME: str
